Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Merchant API V2 token. Pass as Authorization: Bearer <token>.

Path Parameters

order_id
string
required
payment_id
string
required

Body

application/json
amount
integer
payment_method
string
Minimum string length: 1
paid_at

When the payment was received. ISO 8601 date-time, or a date (read as midnight UTC). Defaults to now.

status
enum<string>

Pass voided to cancel a payment recorded by mistake.

Available options:
paid,
voided

Response

Payment

id
string
required
object
enum<string>
required
Available options:
order_payment
order_id
string
required
amount
integer
required

Integer amount in the smallest unit of the store currency (e.g. cents).

fee
integer
required

Integer amount in the smallest unit of the store currency (e.g. cents).

status
enum<string>
required

Only paid payments count towards amount_paid.

Available options:
pending,
confirming,
partial,
paid,
refunded,
voided
payment_method
string
required

Name of the payment method, e.g. "Bank Transfer".

payment_method_type
string
required
paid_at
string<date-time>
required